// NetViewX.cpp : Implementation of CNetViewXApp and DLL registration.

#include "stdafx.h"
#include "NetViewX.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif


CNetViewXApp NEAR theApp;

const GUID CDECL BASED_CODE _tlid =
		{ 0xd5f0bc04, 0xaac, 0x49d3, { 0x85, 0xbf, 0xa0, 0xea, 0xec, 0xee, 0xba, 0x76 } };
const WORD _wVerMajor = 8;
const WORD _wVerMinor = 2;


////////////////////////////////////////////////////////////////////////////
// CNetViewXApp::InitInstance - DLL initialization

//HCURSOR	 g_hCursor = NULL;
BOOL CNetViewXApp::InitInstance()
{
	BOOL bInit = COleControlModule::InitInstance();

	/*if (bInit)
	{
		// TODO: Add your own module initialization code here.
		g_hCursor = LoadCursor(IDC_CUR);
	}*/

	return bInit;
}


////////////////////////////////////////////////////////////////////////////
// CNetViewXApp::ExitInstance - DLL termination

int CNetViewXApp::ExitInstance()
{
	// TODO: Add your own module termination code here.

	return COleControlModule::ExitInstance();
}


/////////////////////////////////////////////////////////////////////////////
// DllRegisterServer - Adds entries to the system registry

STDAPI DllRegisterServer(void)
{
	AFX_MANAGE_STATE(_afxModuleAddrThis);

	if (!AfxOleRegisterTypeLib(AfxGetInstanceHandle(), _tlid))
		return ResultFromScode(SELFREG_E_TYPELIB);

	if (!COleObjectFactoryEx::UpdateRegistryAll(TRUE))
		return ResultFromScode(SELFREG_E_CLASS);

	return NOERROR;
}

/////////////////////////////////////////////////////////////////////////////
// DllUnregisterServer - Removes entries from the system registry

STDAPI DllUnregisterServer(void)
{
	AFX_MANAGE_STATE(_afxModuleAddrThis);

	if (!AfxOleUnregisterTypeLib(_tlid, _wVerMajor, _wVerMinor))
		return ResultFromScode(SELFREG_E_TYPELIB);

	if (!COleObjectFactoryEx::UpdateRegistryAll(FALSE))
		return ResultFromScode(SELFREG_E_CLASS);

	return NOERROR;
}
